{% extends 'base.html' %}
{% block content %}
<div class="container">
    <h1 data-aos="fade-up">Port Detection Status <span class="typed-words"></span></h1>
    <script src="{{ url_for('static', filename='bootstrap/js/typed.js') }}"></script>
    <script>
        var typed = new Typed('.typed-words', {
        strings: ["Used","Available","Unreachable"],
        typeSpeed: 80,
        backSpeed: 80,
        backDelay: 4000,
        startDelay: 1000,
        loop: true,
        showCursor: true
        });
    </script>
</div>
<br>
<div class="col-md-4 text-center" id="login_form">
    <table class="table">
        <thead>
            <tr>
            <th scope="col">No.</th>
            <th scope="col">Status Port Number</th>
            </tr>
        </thead>
        {% for count in range(10) %}
                {% if 'Available' in ports[count].port %}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a href="{{ports[count].url}}">{{ports[count].port}}</a>
                    </td>
                </tr>
            </tbody>
            {% elif 'Unreachable' in ports[count].port%}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a>{{ports[count].port}}</a>
                    </td>
                </tr>
            </tbody>
            {% else %}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a>{{ports[count].port}} {{users[count]}}</a>
                    </td>
                </tr>
            </tbody>
            {% endif %}
        {% endfor %}
    </table>
</div>
<div class="col-md-4 text-center" id="login_form" style="margin-left: 5px;">
    <table class="table">
        <thead>
            <tr>
            <th scope="col">No.</th>
            <th scope="col">Status Port Number</th>
            </tr>
        </thead>
        {% for count in range(10,20) %}
                {% if 'Available' in ports[count].port %}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a href="{{ports[count].url}}">{{ports[count].port}}</a>
                    </td>
                </tr>
            </tbody>
            {% elif 'Unreachable' in ports[count].port%}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a>{{ports[count].port}}</a>
                    </td>
                </tr>
            </tbody>
            {% else %}
            <tbody>
                <tr>
                    <th scope="row">{{count+1}}</th>
                    <td>
                        <a>{{ports[count].port}} {{users[count]}}</a>
                    </td>
                </tr>
            </tbody>
            {% endif %}
        {% endfor %}
    </table>
</div>
{% endblock %}